package org.ioc.commons.model.globaldata;

/**
 * A global data consumer
 * 
 * @author Jesús Lunar Pérez
 *
 * @param <G> Global data type
 */
public interface IsGlobalDataConsumer<G extends Enum<? extends IsGlobalData>> {
	public void onRequiredGlobalDataNotReadyYet();

	public void onRequiredGlobalDataReady();

	public void onRequiredGlobalDataUpdated(G globalDataUpdated);

}
